Bug 495244 - pkgenpack -u doesn't work
pkgenpack -u doesn't work
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-10 14:01 EDT by Ville-Pekka Vainio
Modified: 2009-06-01 11:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-01 11:47:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville-Pekka Vainio 2009-04-10 14:01:33 EDT
Description of problem:
pkgenpack -u doesn't work, not even as root.

Version-Release number of selected component (if applicable):
PackageKit-0.3.15-2.fc10.i386

How reproducible:
Always

Steps to Reproduce:
1. Run pkgenpack -u
  
Actual results:
[root@lightweight tmp]# LANG=C pkgenpack -u
Failed to open package list.: '/var/lib/PackageKit/system.package-list'


Expected results:
I'm not quite sure how pkgenpack works, I would have liked to test it, but it should probably not throw an error :)
Comment 1 Richard Hughes 2009-04-15 12:24:48 EDT
Does it succeed if you try to do "pkcon refresh" first?
Comment 2 Ville-Pekka Vainio 2009-04-15 12:49:21 EDT
Yes. This may have also had something to do with PolicyKit, I just granted myself all possible PackageKit related rights too. Maybe the error message could mention pkcon refresh and PolicyKit?
Comment 3 Ville-Pekka Vainio 2009-06-01 11:47:34 EDT
It seems I'm not able to reproduce this bug in F11 with PackageKit-0.4.8-0.1228.20090527git.fc11.i586, closing. If someone else thinks the bug still exists, please reopen.

Note You need to log in before you can comment on or make changes to this bug.